### Constructor

# Xdp Portal new

#### Declaration [src]

    XdpPortal*
    xdp_portal_new (
      void
    )

#### Description [src]

Creates a new `XdpPortal` object. If D-Bus is unavailable this API will abort. We recommend using `xdp_portal_initable_new()` to safely handle this failure.

#### Return value

Type: `XdpPortal`

A newly created `XdpPortal` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.